# Secrets

Secrets allow for the administrators of an organization to define simple key/value pairs that are securely stored and later be referenced from within a Redivis notebook.&#x20;

Common use cases for secrets include storing external API tokens and other credentials for systems outside of Redivis.

Secrets are only accessible to organization administrators from within a Redivis notebook.&#x20;

*Learn more about* [*working with secrets in notebooks*](/reference/workflows/notebooks/notebook-concepts.md#secrets)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/reference/organizations/settings/secrets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
